package com.ssj.bean.conch.conch.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/** 
 * @author  ZhangCaibao 
 * @version 2018年4月11日 下午3:26:05 
 * 类说明  硬件设备表（小塾表）跟会员卡之间的绑定，关联用户
 */
@Entity
@Table(name = "conch_derver")
public class ConchDerver extends BaseEntity{

	private static final long serialVersionUID = 5763217046572919782L;
	
	private String derver;//小塾设备号
	private String qrCode;//二维码（这里是微信公众号的二维码）
	private String qrCodeImg;//二维码本地图片。
    private String userId;//使用人（小孩）
    private Date createdDate;//创建时间。
    private Date updatedDate;//绑定时间
    private String vipId;//绑定的会员ID
    private String	version;
    private String	versionType;
    private Long	issueNum;
    private int isService;
    private String simcard;//sim卡号
    private String longitude;//经度
    private String latitude;//维度
    private String battery;//电量
    private Integer type;//1深圳，2上海（默认深圳）
    private String easemobName;//环信用户名，只有上海版本才用到
	private String imei; //imei号
	private String sim;
	/**
	 * 试用类型（1：正常使用，2：试用，3：永久使用）
	 */
	private int useType;
	/**
	 * 试用天数
	 */
	private int useDays;
	/**
	 * 是否赠送有效（0:有效 1：无效）
	 */
	private int isGiveInvalid;

	public int getIsGiveInvalid() {
		return isGiveInvalid;
	}

	public void setIsGiveInvalid(int isGiveInvalid) {
		this.isGiveInvalid = isGiveInvalid;
	}

	public int getUseType() {
		return useType;
	}

	public void setUseType(int useType) {
		this.useType = useType;
	}

	public int getUseDays() {
		return useDays;
	}

	public void setUseDays(int useDays) {
		this.useDays = useDays;
	}

	@Column(name="derver")
	public String getDerver() {
		return derver;
	}
	public void setDerver(String derver) {
		this.derver = derver;
	}
	@Column(name="qr_code")
	public String getQrCode() {
		return qrCode;
	}
	public void setQrCode(String qrCode) {
		this.qrCode = qrCode;
	}
	@Column(name="qr_code_img")
	public String getQrCodeImg() {
		return qrCodeImg;
	}
	public void setQrCodeImg(String qrCodeImg) {
		this.qrCodeImg = qrCodeImg;
	}
	
	

	@Column(name="created_date")
	public Date getCreatedDate() {
		return createdDate;
	}
	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}
	
	@Column(name="updated_date")
	public Date getUpdatedDate() {
		return updatedDate;
	}
	public void setUpdatedDate(Date updatedDate) {
		this.updatedDate = updatedDate;
	}
	
	@Column(name="version")
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	
	@Column(name="version_type")
	public String getVersionType() {
		return versionType;
	}
	public void setVersionType(String versionType) {
		this.versionType = versionType;
	}
	
	@Column(name="issue_num")
	public Long getIssueNum() {
		return issueNum;
	}
	public void setIssueNum(Long issueNum) {
		this.issueNum = issueNum;
	}
	@Column(name="user_id")
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	@Column(name="vip_id")
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	@Column(name="is_service")
	public int getIsService() {
		return isService;
	}
	public void setIsService(int isService) {
		this.isService = isService;
	}
	@Column(name="simcard")
	public String getSimcard() {
		return simcard;
	}
	public void setSimcard(String simcard) {
		this.simcard = simcard;
	}
	@Column(name="longitude")
	public String getLongitude() {
		return longitude;
	}
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
	@Column(name="latitude")
	public String getLatitude() {
		return latitude;
	}
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	@Column(name="battery")
	public String getBattery() {
		return battery;
	}
	public void setBattery(String battery) {
		this.battery = battery;
	}
	@Column(name="type")
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	@Column(name="easemob_name")
	public String getEasemobName() {
		return easemobName;
	}
	public void setEasemobName(String easemobName) {
		this.easemobName = easemobName;
	}
	@Column(name="imei")
	public String getImei() {
		return imei;
	}
	public void setImei(String imei) {
		this.imei = imei;
	}

	public String getSim() {
		return sim;
	}

	public void setSim(String sim) {
		this.sim = sim;
	}
}
